| Home | Libraries | People | FAQ | More

#### boost::mqtt5::retain_as_published_e

Representation of the Retain As Published Subscribe Option.

##### Synopsis

Defined in header `<boost/mqtt5/types.hpp>`

    enum class retain_as_published_e
        : std::uint8_t;

##### Values

Name | Description
--- | ---
`dont` | Application Messages have the `RETAIN` flag set to 0.
`retain` | Application Messages keep the `RETAIN` flag they were published with.

##### Description

A Subscribe Option indicating whether or not Application Messages forwarded using this Subscription keep the `RETAIN` flag they were published with.

Convenience header `<boost/mqtt5.hpp>`